ru.bitel.oss.systems.inventory.resource.common.bean

## Class DeviceInterface

- java.lang.Object
- - ru.bitel.oss.systems.inventory.resource.common.bean.DeviceInterface

- All Implemented Interfaces:
    Resource

      public class DeviceInterface
      extends java.lang.Object
      implements Resource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACTIVE`
    `static int` | `STATUS_RESERVED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getComment()`
    `int` | `getDeviceId()`
    `java.util.List<DeviceInterfaceIndex>` | `getIndexList()`
    `int` | `getIpCategoryId()`
    `int` | `getPort()`
    `int` | `getRemoteDeviceId()`
    `int` | `getRemotePort()`
    `int` | `getStatus()`
    `int` | `getSubscriberId()`
    `java.lang.String` | `getSubscriberTitle()`
    `java.lang.String` | `getTitle()`
    `int` | `hashCode()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setIndexList(java.util.List<DeviceInterfaceIndex> indexList)`
    `void` | `setIpCategoryId(int ipCategoryId)`
    `void` | `setPort(int port)`
    `void` | `setRemoteDeviceId(int remoteDeviceId)`
    `void` | `setRemotePort(int remotePort)`
    `void` | `setStatus(int status)`
    `void` | `setSubscriberId(int subscriberId)`
    `void` | `setSubscriberTitle(java.lang.String subscriberTitle)`
    `void` | `setTitle(java.lang.String title)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_RESERVED

          public static final int STATUS_RESERVED

      See Also:
        Constant Field Values

    - #### STATUS_ACTIVE

          public static final int STATUS_ACTIVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeviceInterface

          public DeviceInterface()

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getRemoteDeviceId

          public int getRemoteDeviceId()

    - #### setRemoteDeviceId

          public void setRemoteDeviceId(int remoteDeviceId)

    - #### getRemotePort

          public int getRemotePort()

    - #### setRemotePort

          public void setRemotePort(int remotePort)

    - #### getIndexList

          public java.util.List<DeviceInterfaceIndex> getIndexList()

    - #### setIndexList

          public void setIndexList(java.util.List<DeviceInterfaceIndex> indexList)

    - #### getIpCategoryId

          public int getIpCategoryId()

    - #### setIpCategoryId

          public void setIpCategoryId(int ipCategoryId)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getSubscriberId

          public int getSubscriberId()

    - #### setSubscriberId

          public void setSubscriberId(int subscriberId)

    - #### getSubscriberTitle

          public java.lang.String getSubscriberTitle()

    - #### setSubscriberTitle

          public void setSubscriberTitle(java.lang.String subscriberTitle)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`